yaplgt(1)

NAME
yaplgt - Logtalk integration script for YAP

SYNOPSIS
yaplgt [-q] [-g goal]

DESCRIPTION
yaplgt is a Logtalk integration script for YAP. It automatically loads the YAP adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories. It uses the yap executable -l option to load the Logtalk files. It passes any options to the yap executable; see the YAP documentation for the available options.

OPTIONS

-q  Silence Logtalk default startup messages and compilation messages by setting the report flag to warnings.

-g  goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
YAP 6.3.4 or later is required. YAP can be compiled with either tabling or threads support, among other options. Check the YAP flag system_options before trying to run examples or applications that require YAP to be compiled with specific options. This integration script looks for a yap executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_yap.pl
    Prolog file used for loading the necessary files for starting Logtalk using YAP as the backend compiler.

$LOGTALKHOME/adapters/yap.pl
    The YAP adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$HOME/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$XDG_CONFIG_HOME/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$HOME/.config/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

The YAP website at http://www.dcc.fc.up.pt/~vsc/Yap/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2023 Paulo Moura.